Get Task Status
curl --request GET \
--url https://api.fieldwise.ai/api/v1/tasks/status/{task_identifier} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.fieldwise.ai/api/v1/tasks/status/{task_identifier}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.fieldwise.ai/api/v1/tasks/status/{task_identifier}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"message": "Processing document...",
"progress": 50,
"status": "processing",
"title": "Document Processing"
},
"success": true,
"error": {
"error_code": "RESOURCE_NOT_FOUND",
"message": "Resource not found"
},
"meta": {
"timestamp": "2023-11-07T05:31:56Z",
"version": "1.0"
}
}{
"error_code": "RESOURCE_NOT_FOUND",
"message": "Resource not found"
}{
"error_code": "RESOURCE_NOT_FOUND",
"message": "Resource not found"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"error_code": "RESOURCE_NOT_FOUND",
"message": "Resource not found"
}Tasks
Get Task Status
Get the status of any processing task.
GET
/
api
/
v1
/
tasks
/
status
/
{task_identifier}
Get Task Status
Authorizations
Headers
Path Parameters
Response
Successful Response
Response data
Show child attributes
Show child attributes
Example:
{
"message": "Processing document...",
"progress": 50,
"status": "processing",
"title": "Document Processing"
}Schema for API error responses.
Show child attributes
Show child attributes
Example:
{
"error_code": "RESOURCE_NOT_FOUND",
"message": "Resource not found"
}Metadata for API responses
Show child attributes
Show child attributes
⌘I